OGRE: Ogre::DynLib Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::DynLib Class Reference

Resource holding data about a dynamic library. More...

`#include <OgreDynLib.h>`

List of all members.

## Public Member Functions

| DynLib (const String &name)
| Default constructor - used by DynLibManager.
| ~DynLib ()
| Default destructor.
void | load ()
| Load the library.
void | unload ()
| Unload the library.
const String & | getName (void) const
| Get the name of the library.
void * | getSymbol (const String &strName) const throw ()
| Returns the address of the given symbol from the loaded library.

## Protected Member Functions

String | dynlibError (void)
| Gets the last loading error.

## Protected Attributes

String | mName
DYNLIB_HANDLE | m_hInst
| Handle to the loaded library.

## Detailed Description

Resource holding data about a dynamic library.

Remarks:
  This class holds the data required to get symbols from libraries loaded at run-time (i.e. from DLL's for so's)

Author:
  Adrian Cearnău (cearny@cearny.ro)

Since:
  27 January 2002

See also:
  Resource

Definition at line 69 of file OgreDynLib.h.

## Constructor & Destructor Documentation

Ogre::DynLib::DynLib | ( | const String & | name | ) |

Default constructor - used by DynLibManager.

Warning:
  Do not call directly

Ogre::DynLib::~DynLib | ( |  | ) |

| Default destructor.

## Member Function Documentation

String Ogre::DynLib::dynlibError | ( | void |  | ) | `[protected]`

| Gets the last loading error.

const String& Ogre::DynLib::getName | ( | void |  | ) | const

| Get the name of the library. Definition at line 93 of file OgreDynLib.h.

void* Ogre::DynLib::getSymbol | ( | const String & | strName | ) | const throw ()

Returns the address of the given symbol from the loaded library.

Parameters:

  | strName | The name of the symbol to search for

Returns:
  If the function succeeds, the returned value is a handle to the symbol.

  If the function fails, the returned value is NULL.

void Ogre::DynLib::load | ( |  | ) |

| Load the library.

void Ogre::DynLib::unload | ( |  | ) |

| Unload the library.

## Member Data Documentation

DYNLIB_HANDLE Ogre::DynLib::m_hInst`[protected]`

| Handle to the loaded library. Definition at line 111 of file OgreDynLib.h.

String Ogre::DynLib::mName`[protected]`

| Definition at line 72 of file OgreDynLib.h.

The documentation for this class was generated from the following file:

- OgreDynLib.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:46:41 2008